This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 144650 - mkinitrd fails to recognize that raid1 is compiled into the kernel
mkinitrd fails to recognize that raid1 is compiled into the kernel
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 05:38 EST by Fat Rat Bastard
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-17 11:39:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fat Rat Bastard 2005-01-10 05:38:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
I configured a 2.6.10 kernel with raid1 statically-linked (not a
module). When running mkinitrd I get the message:

No module raid1 found for kernel 2.6.10c, aborting.


There is no reference to raid1 in /etc/modprobe.conf.

If I execute mkinitrd with the --builtin=raid1 directive, I get an
initial ram disk that boots and mounts my raid 1 /, swap, and /boot
partitions.



Version-Release number of selected component (if applicable):
mkinitrd 4.1.18

How reproducible:
Always

Steps to Reproduce:
1. Configure/compile 2.6.10 kernel with raid1 statically linked.
2. Use mkinitrd 4.1.18 to make the initial ram disk
3. 
    

Actual Results:  I get message:

No module raid1 found for kernel 2.6.10c, aborting.

Expected Results:  Completes the process of making an initial ram disk
with modules, etc.

Additional info:
Comment 2 Peter Jones 2005-01-17 11:39:11 EST
We don't really support using kernels that we don't ship, or at the very least
aren't at all built like ours.

Note You need to log in before you can comment on or make changes to this bug.